Bug 7134 - Athlon: ICE in extract_insn, at recog.c:2130
Summary: Athlon: ICE in extract_insn, at recog.c:2130
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: rtl-optimization (show other bugs)
Version: 3.2
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords: ice-on-valid-code
Depends on:
Blocks:
 
Reported: 2002-06-26 08:36 UTC by Volker Reichelt
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Reichelt 2002-06-26 08:36:01 UTC
The following code causes an ICE when compiled with
"gcc -march=athlon -O -c":

--------------------------snip here----------------------
void foo ()
{
  int i, n;

  for ( i=0; i<n; ++i )
    i=n^128;
}
--------------------------snip here----------------------

The error message is:

bug.c: In function `foo':
bug.c:7: error: unrecognizable insn:
(insn 53 57 54 1 (nil) (parallel [
            (set (strict_low_part (reg:QI 0 al [58]))
                (xor:QI (reg:QI 0 al [58])
                    (const_int -128 [0xffffff80])))
            (clobber (reg:CC 17 flags))
        ]) -1 (insn_list 57 (nil))
    (expr_list:REG_UNUSED (reg:CC 17 flags)
        (nil)))
bug.c:7: internal compiler error: Internal compiler error in extract_insn, at recog.c:2130
Please submit a full bug report, [etc.]

The example compiles fine with gcc 3.1.

The example was created from a file (psout.i) from a
bug report of Sergei Pachkov (see PR 7063).

Release:
gcc 3.2 20020617

Environment:
i686-pc-linux-gnu

How-To-Repeat:
gcc -march=athlon -O -c bug.c
Comment 1 Jan Hubicka 2002-10-03 09:38:14 UTC
State-Changed-From-To: open->closed
State-Changed-Why: No longer reproduce on 3.2 branch